/*
 * telnet_server.h
 *
 *  Created on: 24.11.2017
 *      Author: balbekova
 */

#ifndef TELNET_SERVER_H_
#define TELNET_SERVER_H_

#include "settings_api.h"

/* Dimensions the buffer into which input characters are placed. */
#define cmdMAX_INPUT_SIZE			144

/*Number of connection*/
#define NUMBER_TELNET_CONNECT		5

typedef enum{
	TELNET_AUTH = 0,
	TELNET_AUTH_PASSW,
	TELNET_CMD,
	TELNET_CHANGE_PWD,
	TELNET_CHANGE_PWD_ACK
}state_telnet_server_t;


void telnet_server_init(void);

void telnet_server_close(void);

void telnet_server_port_change(void);

#endif /* TELNET_SERVER_H_ */
